Subject: Re: Two things
From: James Pearce <[email-masked]>
To: Jim Leonard <[email-masked]>
Date: Mon, 28 Apr 2014 22:09:15 +0100

Hi Jim

Re boot; I suspect the boot sector has some 286 instructions on it, as 
it was probably formatted under Windows NT based OS. You can clear it 
all away with my wipedisk utility (note, you need to press upper-case C 
to clear it):

wiki: http://www.lo-tech.co.uk/wiki/WipeDisk
exe:  http://www.lo-tech.co.uk/downloads/utils/WIPEDISK.zip

Command: wipedisk, then upper-case C, then reboot from floppy and 
fdisk/format in the usual way.

Next, I suspect you're using an old version of xtcfmode and possibly 
the BIOS as well. Try flashing the BIOS using this:

exe: 
http://www.lo-tech.co.uk/downloads/XT-IDE/lo-tech-Flash-utility.zip
bin: 
http://www.lo-tech.co.uk/downloads/XT-IDE/lo-tech-isa-compactflash-adapter/xtide-r566-xt-cf-master-slave.zip

Command: flash ide_xt.bin d000, then reboot

Then, use this version of XTCFMODE:

wiki: http://www.lo-tech.co.uk/wiki/XTCFMODE
exe:  http://www.lo-tech.co.uk/downloads/XT-CF/XTCFMODE.zip

Command for DMA: xtcfmode 80 set 2

That all sounds much worse than it is... only probably 5 to 10 mins to 
get everything up and running :)

Cheers!
James.

On 2014-04-28 20:50, Jim Leonard wrote:
> On 4/24/2014 3:18 PM, James Pearce wrote:
>> Actually the card swap had slipped my mind... will get on to it at 
>> the
>> weekend. Don't worry if your v2 doesn't surface. I just received the 
>> 50
>> CPLDs which *look* genuine - we'll see :)
>
> I am still looking, but before I send the v3 card back, I thought I
> owed you the testing I promised.  So:  It's in my 5155 right now!
> (Thank you for the disassembly tips)
>
> Unfortunately I'm running across a few things I don't quite
> understand.  First, check the pictures attached to this message.
> Then:
>
> - DIP switches are set for DMA but I'm getting substantially less
> transfer rates.  Any ideas?  I tried running IDECFG with "D000" and
> "1" but there was no change in transfer rate.
>
> - The card won't boot (?)  The 5155 boots from a floppy disk and
> accesses the drive just fine, but the card itself can't boot from the
> hard drive.  I partitioned it with FDISK on the system itself,
> partition is active.  Any ideas?
>
> Card is in slot 6, btw.

-- 
Many thanks,
James.